Solid Edge Part Type Library
DesignEdgebarFeatures Property
Description
This read-only property returns the EdgeBarFeatures collection object (ordered features) for the referenced object. The collection is dynamically updated, based on history changes.
Property type
Read-only property
Syntax
Visual Basic
Public Property DesignEdgebarFeatures As EdgebarFeatures
Example
Private Sub DesignEdgeBarFeatures_Click(sender As Object, e As EventArgs) Handles Sketch.Click
        Dim objApplication As SolidEdgeFramework.Application = Nothing
        Dim objPartDoc As SolidEdgePart.PartDocument = Nothing
        Dim sStatus As String = Nothing
        Dim bFailure As Boolean = False
        Dim sMsg As String = Nothing
        Dim objEdgebarFeature As SolidEdgePart.EdgebarFeatures = Nothing 
        Dim nCount As Integer = 0
        Dim i As Integer = 0
        Dim objFeature As Object = Nothing
        Dim bSyncFeature As Boolean = False
        Dim sFeatureName As String = Nothing

        Try
            objApplication = Marshal.GetActiveObject("SolidEdge.Application")
            objPartDoc = objApplication.ActiveDocument

            Try
                objEdgebarFeature = objPartDoc.DesignEdgebarFeatures

                nCount = objParttDoc.DesignEdgebarFeatures.Count

                For i = 1 To nCount

                    objFeature = Nothing

                    objFeature = objEdgebarFeature.Item(i)
                    If (objFeature IsNot Nothing) Then
                        sFeatureName = objFeature.EdgebarName
                        sFeatureName = objFeature.DisplayName
                        sFeatureName = objFeature.SystemName
                    End If

                Next
            Catch ex As Exception
                MsgBox("Problem item: " + objFeature.Name)
            End Try
        Catch ex As Exception
            MsgBox(ex.ToString)
            Clipboard.SetText(ex.ToString)
        End Try
    End Sub
See Also

PartDocument Object  | PartDocument Members